API ReferencePayments
Gateways Retrieve
Retrieve a gateway.
Authorization
oauth2 gateways:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: gateways:read
Path Parameters
id*integer
A unique integer value identifying this Payment Gateway.
Header Parameters
X-29next-API-Version*string
Default
"2024-04-01"Value in
"2024-04-01"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/gateways/0/" \
-H "X-29next-API-Version: 2024-04-01" \
-H "Authorization: Bearer "{
"active": true,
"auto_capture_on_fulfillment": true,
"card_types": [
{
"code": "string",
"label": "string"
}
],
"currencies": [
{
"code": "strin",
"label": "string"
}
],
"delayed_capture_days": 1,
"enable_3ds2": true,
"gateway_groups": [
{
"id": 0,
"name": "string",
"weight": 0
}
],
"gateway_type": "string",
"id": 0,
"merchant_profile": 0,
"name": "string",
"optimized_3ds": true,
"payment_flow": "charge"
}